Noob question

Discussion in 'Python' started by nanoeyes@gmail.com, Jan 30, 2009.

  1. Guest

    Hello?
    I'm currently installed Ubuntu 8.10. I'm not a Linux person, so I
    don't know a lot about it. The reason I installed Ubuntu is just for
    EMAN (http://blake.bcm.tmc.edu/eman/). EMAN 1.8 software requires
    Python 2.4 not 2.5 which comes with Ubuntu 8.10.

    I installed Python 2.4 by typing sudo apt-get install python2.4
    Still EMAN doesn't work for me.

    Do I have to downgrade 2.5 to 2.4 or install lower version of Ubuntu?
     
    , Jan 30, 2009
    #1
    1. Advertising

  2. a écrit :
    > Hello?


    Hi.

    Ok, first, this is mostly OT here - your question should have gone to
    either the project's maintainer or any Ubuntu forum /
    mailing-list/whatever.


    <OT>
    > I'm currently installed Ubuntu 8.10. I'm not a Linux person, so I
    > don't know a lot about it. The reason I installed Ubuntu is just for
    > EMAN (http://blake.bcm.tmc.edu/eman/). EMAN 1.8 software requires
    > Python


    From the doc, it doesn't *require* Python at all:

    """
    Some others are optional, like boost.python, Python if you need run
    Pyhton program in EMAN or want to program in Python with EMAN, you can
    turn this option off by switching ENABLE_PYTHON to off
    """
    http://blake.bcm.tmc.edu/emanwiki/EMAN_COMPILE_UNIX

    > 2.4 not 2.5 which comes with Ubuntu 8.10.
    >
    > I installed Python 2.4 by typing sudo apt-get install python2.4


    You'll probably need python2.4-dev too.

    > Still EMAN doesn't work for me.


    Did you try to recompile it (eventually providing the path to your
    python2.4 install) ?

    > Do I have to downgrade 2.5 to 2.4


    Not sure this is an option - IIRC, Ubuntu 8.10 depends on Python 2.5.

    > or install lower version of Ubuntu?


    This would at best be a short/medium-term workaround.
    <OT>
     
    Bruno Desthuilliers, Jan 30, 2009
    #2
    1. Advertising

Want to reply to this thread or ask your own question?

It takes just 2 minutes to sign up (and it's free!). Just click the sign up button to choose a username and then you can ask your own questions on the forum.
Similar Threads
  1. Yttrium
    Replies:
    7
    Views:
    2,541
    Yttrium
    Oct 15, 2003
  2. NewsHound

    something of a noob question

    NewsHound, Jun 30, 2004, in forum: Perl
    Replies:
    1
    Views:
    420
    Jim Gibson
    Jun 30, 2004
  3. Chris Dunaway

    Really noob question about asp:Image control

    Chris Dunaway, May 27, 2004, in forum: ASP .Net
    Replies:
    2
    Views:
    1,046
    Chris Dunaway
    May 27, 2004
  4. haylow
    Replies:
    0
    Views:
    585
    haylow
    Jun 15, 2004
  5. Phil Winstanley [Microsoft MVP ASP.NET]

    Re: Noob question: "Could not find a part of the path"

    Phil Winstanley [Microsoft MVP ASP.NET], Jun 15, 2004, in forum: ASP .Net
    Replies:
    0
    Views:
    373
    Phil Winstanley [Microsoft MVP ASP.NET]
    Jun 15, 2004
Loading...

Share This Page